/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { OutputLogEvent } from '@aws-sdk/client-cloudwatch-logs';
import { TimeRangeOverrides } from '../utils/utils.js';
import { AwsCloudWatchLogs as AwsCloudWatchLogsProps, TimeRange } from '../ops-types.js';
type AwsCloudWatchLogsOverrides = TimeRangeOverrides;
export declare class AwsCloudWatchLogs extends BaseWidget {
    static type: string;
    region: string;
    logGroupName: string;
    logStreamName?: string;
    timeRange: TimeRange;
    showTimeRangeSelector?: boolean;
    events?: OutputLogEvent[];
    constructor(props: AwsCloudWatchLogsProps);
    static fromJson(object: AwsCloudWatchLogsProps): AwsCloudWatchLogs;
    toJson(): AwsCloudWatchLogsProps;
    getData(providers?: BaseProvider[], overrides?: AwsCloudWatchLogsOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCloudWatchLogsOverrides) => void): JSX.Element;
}
export {};
