/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { AwsEcsInfo as AwsEcsInfoProps } from '../ops-types.js';
import { Image } from '../utils/aws-ecs-utils.js';
type AwsEcsInfoType = AwsEcsInfoProps & {
    serviceArn: string;
    clusterArn: string;
    runningCount: number;
    desiredCount: number;
    capacity: number;
    asgArn: string;
    memory: string;
    cpu: string;
    taskDefinitionArn: string;
    status: string;
    roleArn: string;
    execRoleArn: string;
    images: Image[];
    capacityType: 'EC2' | 'Fargate';
};
export declare class AwsEcsInfo extends BaseWidget {
    static type: string;
    region: string;
    clusterName: string;
    serviceName: string;
    serviceArn: string;
    clusterArn: string;
    runningCount: number;
    desiredCount: number;
    capacity: number;
    asgArn: string;
    memory: string;
    cpu: string;
    taskDefinitionArn: string;
    status: string;
    roleArn: string;
    execRoleArn: string;
    images: Image[];
    capacityType: 'EC2' | 'Fargate';
    constructor(props: AwsEcsInfoType);
    static fromJson(object: AwsEcsInfoType): AwsEcsInfo;
    toJson(): AwsEcsInfoType;
    getData(providers?: BaseProvider[]): Promise<void>;
    render(): JSX.Element;
}
export {};
